Read-only preview
You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
EVM Tokens (ERC-20)
Historical Token Balances
Returns wallet ERC-20 token balance changes over time in OHLCV format.
Historical depth is subject to plan restrictions.
GET
https://api.pinax.network/v1/evm/balances/historical
Requires bearer token — sign in to inject your team’s key.
Supported networks (9)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 9 | The Graph Network ID for EVM networks https://thegraph.com/networks arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain e.g. mainnet |
addressrequired query | Address | Filter by address e.g. 0xd8da6bf26964af9d7eed9e03e53415d37aa96045 |
Optional parameters
| Name | Type | Description |
|---|---|---|
contract query | Contract | Filter by contract address Single value or array of values* (separate multiple values with ,)*Plan restricted. e.g. 0xdac17f958d2ee523a2206206994597c13d831ec7 |
interval query | Enum · 4 | The interval* for which to aggregate price data (hourly, 4-hours, daily or weekly). *Plan restricted. 1h4h1d1w e.g. 1d |
start_time query | Datetime | UNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...). |
end_time query | Datetime | UNIX timestamp in seconds or date string (e.g. "2025-01-01T00:00:00Z", "2025-01-01", ...). |
limit query | integer | Number of items* returned in a single request. *Plan restricted. |
page query | integer | Page number to fetch. Empty data array signifies end of results. |
Response
200 OK{ "data": [ { "datetime": "2026-01-09 00:00:00", "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract": "0xdac17f958d2ee523a2206206994597c13d831ec7", "open": 269.18034, "high": 269.18034, "low": 269.18034, "close": 269.18034, "name": "Tether USD", "symbol": "USDT", "decimals": 6, "network": "mainnet" } ] }